--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a default value of the property for given resource.
- !ruby/struct:SM::Flow::P 
  body: When default value is a callable object, it is called with resource and property passed as arguments.
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource] resource"
- !ruby/struct:SM::Flow::VERB 
  body: "  the model instance for which the default is to be set\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Object]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the default value of this property for <tt>resource</tt>\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Property#default_for
is_singleton: false
name: default_for
params: (resource)
visibility: public
